/filters/resellers - Get aggregated reseller filters

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api.my.nethesis.it/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "my.nethesis.it MCP server": {
    "url": "https://api.my.nethesis.it/mcp"
  }
}

Close
GET /filters/resellers

Returns the distinct creators of the resellers visible to the caller, for the created_by filter on GET /api/resellers. Respects RBAC.

Responses

  • 200 application/json

    Reseller filters retrieved successfully

    Hide response attributes Show response attributes object
    • code integer
    • message string
    • data object

      Aggregated filter options for organization list views

      Hide data attribute Show data attribute object
      • created_by array[object]

        Distinct creators of the organizations visible to the caller

        Hide created_by attributes Show created_by attributes object
        • user_id string

          Creator user logto_id

        • name string

          Creator full name

        • email string

          Creator email

  • 401 application/json

    Unauthorized - invalid or missing token

    Hide response attributes Show response attributes object
    • code integer
    • message string
    • data object | null
  • 403 application/json

    Forbidden - insufficient permissions

    Hide response attributes Show response attributes object
    • code integer
    • message string
    • data object | null
GET /filters/resellers
curl \
 --request GET 'https://api.your-domain.com/api/filters/resellers' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "code": 200,
  "message": "reseller filters retrieved successfully",
  "data": {
    "created_by": [
      {
        "user_id": "kyfy0tlnlk3l",
        "name": "Sviluppo - Integrazioni Esterne",
        "email": "sviluppo+integrazioni@nethesis.it"
      }
    ]
  }
}
Response examples (401)
{
  "code": 401,
  "message": "invalid token",
  "data": {}
}
Response examples (403)
{
  "code": 403,
  "message": "insufficient permissions",
  "data": {}
}